KDoubleValidator Class Reference

`#include <knumvalidator.h>`

Inherits QDoubleValidator.

Inherited by KDoubleSpinBoxValidator.

## Public Member Functions

| KDoubleValidator (QObject *parent, const char *name=0)
| KDoubleValidator (double bottom, double top, int decimals, QObject *parent, const char *name=0)
virtual | ~KDoubleValidator ()
virtual QValidator::State | validate (QString &input, int &pos) const
bool | acceptLocalizedNumbers () const
void | setAcceptLocalizedNumbers (bool accept)

## Properties

bool | acceptLocalizedNumbers

## Detailed Description

A locale-aware QDoubleValidator.

KDoubleValidator extends QDoubleValidator to be locale-aware. That means that - subject to not being disabled - KLocale::decimalSymbol(), KLocale::thousandsSeparator() and KLocale::positiveSign() and KLocale::negativeSign() are respected.

Author
  Marc Mutz mutz@.nosp@m.kde..nosp@m.org

See also
  KIntValidator

Since
  3.1

Definition at line 181 of file knumvalidator.h.

## Constructor & Destructor Documentation

KDoubleValidator::KDoubleValidator | ( | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Constuct a locale-aware KDoubleValidator with default range (whatever QDoubleValidator uses for that) and parent `parent`.

Definition at line 300 of file knumvalidator.cpp.

KDoubleValidator::KDoubleValidator | ( | double | bottom,
|  | double | top,
|  | int | decimals,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Constuct a locale-aware KDoubleValidator for range [`bottom`,`top`] and a precision of `decimals` decimals after the decimal point.

Definition at line 306 of file knumvalidator.cpp.

KDoubleValidator::~KDoubleValidator | ( |  | ) |

virtual

Destructs the validator.

Definition at line 313 of file knumvalidator.cpp.

## Member Function Documentation

bool KDoubleValidator::acceptLocalizedNumbers | ( |  | ) | const

Returns
  whether localized numbers are accepted (default: true)

void KDoubleValidator::setAcceptLocalizedNumbers | ( | bool | accept | ) |

Sets whether to accept localized numbers (default: true)

Definition at line 322 of file knumvalidator.cpp.

QValidator::State KDoubleValidator::validate | ( | QString & | input,
|  | int & | pos
| ) |  | const

virtual

Overloaded for internal reasons.

The API is not affected.

Definition at line 326 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys